## org.springframework.context
Interface ApplicationListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  DispatcherPortlet, DispatcherServlet, FrameworkPortlet, FrameworkServlet, PerformanceMonitorListener, SourceFilteringListener

    public interface ApplicationListener

extends EventListener

Interface to be implemented by application event listeners. Based on the standard `java.util.EventListener` interface for the Observer design pattern.

Author:
  Rod Johnson
See Also:
  `ApplicationEventMulticaster`

Method Summary
`void` `onApplicationEvent(ApplicationEvent event)` Handle an application event.

Method Detail

### onApplicationEvent

    void onApplicationEvent(ApplicationEvent event)

  Handle an application event.

  Parameters:
    `event` - the event to respond to

Copyright © 2002-2008 The Spring Framework.